Subject: bug#19158: Build failure [master Cygwin64]

From: Angelo Graziosi <[email-masked]>
Date: Mon, 24 Nov 2014 12:34:40 +0100

Today master stiil fails to build with e little different message

[...]
makeinfo --force -I./../emacs --no-split  -o ../../info/dbus.info dbus.texi
makeinfo --force -I./../emacs --no-split  -o ../../info/dired-x.info 
dired-x.texi
mv buildobj.h.tmp buildobj.h
make -C ../nt ../src/emacs.res
make[2]: ingresso nella directory "/tmp/emacs-master/nt"
make[2]: ***  Nessuna regola per generare l'obiettivo "emacs.rc", 
necessario per "../src/emacs.res".  Arresto.
make[2]: uscita dalla directory "/tmp/emacs-master/nt"
Makefile:720: set di istruzioni per l'obiettivo "emacs.res" non riuscito
make[1]: *** [emacs.res] Errore 2
make[1]: uscita dalla directory "/tmp/emacs-master/src"
Makefile:384: set di istruzioni per l'obiettivo "src" non riuscito
make: *** [src] Errore 2
makeinfo --force -I./../emacs --no-split  -o ../../info/ebrowse.info 
ebrowse.texi
make: *** Attesa per i processi non terminati....
makeinfo --force -I./../emacs --no-split  -o ../../info/ede.info ede.texi

[...]

Il 24/11/2014 00:14, Angelo Graziosi ha scritto:
> On Cygwin64 (maybe also on MSYS2-MinGW64?):
>
> [...]
> for i in   dispnew.o frame.o scroll.o xdisp.o menu.o  window.o charset.o
> coding.o category.o ccl.o character.o chartab.o bidi.o cm.o term.o
> terminal.o xfaces.o   dbusbind.o emacs.o keyboard.o macros.o keymap.o
> sysdep.o buffer.o filelock.o insdel.o marker.o minibuf.o fileio.o
> dired.o cmds.o casetab.o casefiddle.o indent.o search.o regex.o undo.o
> alloc.o data.o doc.o editfns.o callint.o eval.o floatfns.o fns.o font.o
> print.o lread.o syntax.o unexcw.o bytecode.o process.o gnutls.o
> callproc.o region-cache.o sound.o atimer.o doprnt.o intervals.o
> textprop.o composite.o xml.o gfilenotify.o profiler.o decompress.o
> sheap.o cygw32.o  w32fns.o w32menu.o w32reg.o w32font.o w32term.o
> w32xfns.o w32select.o w32uniscribe.o fontset.o fringe.o image.o
> xgselect.o  terminfo.o  gmalloc.o  lastfile.o  ; do \
>    echo "$i" | sed 's,.*/,,; s/\.obj$/\.o/; s/^/"/; s/$/",/' \
>      || exit; \
> done >buildobj.h.tmp
> make[1]: ***  Nessuna regola per generare l'obiettivo "../nt/emacs.rc",
> necessario per "emacs.res".  Arresto.
> make[1]: *** Attesa per i processi non terminati....
> makeinfo --force -I./../emacs --no-split  -o ../../info/cl.info cl.texi
> [...]
>